MySQL Forums
Forum List  »  Source, Builds, Binaries

MySQL v8.0: Unable to run MySQL binary
Posted by: Strong Valves
Date: September 21, 2022 11:31PM

At Strong Valves, I just updated our MySQL server from v5.7 to v8.0.21.
The upgrade went well. Because our installation is binary, I need to add fresh v8.0 binaries to /usr/bin. After that, I execute the following command to verify the mysql version and login to mysql. I'm receiving the following error.

mysql —version
mysql: error when loading shared libraries: libcrypto.so.1.1: cannot open shared object file: There is no such file or directory

Note: I may login and view version information. ./mysql —version

CentOS Linux release 7.3.1611 (Core)

libaio-0.3.109-13.el7.x86 64 was installed.

ll /usr/lib64/libssl* /usr/lib64/libssl3.so /usr/lib64/libssl.so -> libssl.so.1.0.2k /usr/lib64/libssl.so.10 -> libssl.so.1.0.2k /usr/lib64/libssl.so.1.0.2k

Could someone kindly tell me what the problem is in my case?

Options: ReplyQuote


Subject
Views
Written By
Posted
MySQL v8.0: Unable to run MySQL binary
365
September 21, 2022 11:31PM


Sorry, you can't reply to this topic. It has been closed.

Content reproduced on this site is the property of the respective copyright holders. It is not reviewed in advance by Oracle and does not necessarily represent the opinion of Oracle or any other party.